Geek Social — Documentação
API ReferenceEvents

GET /events/:id/participants

Listar participantes de um evento

GET/events/:id/participantsAuth: accessToken

Retorna a lista de participantes do evento com seus status de confirmação.

Request

Esta requisição não tem corpo.

Response

200

[
  {
    "userId": "uuid",
    "username": "string",
    "avatarUrl": "string | null",
    "status": "confirmed | pending | invited",
    "joinedAt": "ISO 8601"
  }
]

Erros

CódigoDescrição
401Não autenticado
404Evento não encontrado

Exemplos

curl -X GET 'https://geeksocialapi.homelab-cloud.com/events/{id}/participants' \
  -H 'Authorization: Bearer SEU_ACCESS_TOKEN'
await fetch('https://geeksocialapi.homelab-cloud.com/events/{id}/participants', {
  method: 'GET',
  headers: { Authorization: 'Bearer ' + accessToken },
})

On this page